#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kamoso
Summary:        Application to take pictures and videos out of your webcam
Version: 24.02.2
Release:        %mkrel %rel
Group:          Graphical desktop/KDE
License:        GPLv2
Url:            https://apps.kde.org/kamoso/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5OpenGL)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Test)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Purpose)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Kirigami2)

# Runtime build dependencies
BuildRequires:  qtgraphicaleffects5
BuildRequires:  qtquickcontrols5

BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)

# required for fix launching kamoso (mga#18185)
Requires:       kf5-purpose
# runtime dependencies
Requires:       kf5-kirigami2
Requires:       qtgraphicaleffects5
Requires:       qtquickcontrols5

# required for video4linux2:  v4l2src plugin
Requires:       gstreamer1.0-plugins-good
# required for wrappercamerabinsrc plugin (mga#32457)
Requires:       gstreamer1.0-plugins-bad

%description
Kamoso is an application to take pictures and videos out of your webcam.

%files -f %{name}.lang
%doc AUTHORS
%_kf5_bindir/kamoso
%_kf5_libdir/gstreamer-1.0/gstkamosoqt5videosink.so
%_kf5_knotificationsdir/kamoso.notifyrc
%_kf5_applicationsdir/org.kde.kamoso.desktop
%_kf5_metainfodir/org.kde.kamoso.appdata.xml
%_kf5_iconsdir/*/*/*/*

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-html


%changelog
* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058557
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045103
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037601
- New version 24.01.95

* Thu Jan 25 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2034425
- New version 24.01.90
- New version 24.01.85
- New version 24.01.75

* Fri Oct 27 2023 daviddavid <daviddavid> 23.08.1-2.mga10
+ Revision: 2002150
- add missing dependency on gstreamer1.0-plugins-bad required for
  wrappercamerabinsrc plugin (mga#32457)

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989553
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958130
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946442
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941736
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922855
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911350
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905202
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886722
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880705
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873018
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853912
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849418
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763803
- New version 21.12.0

* Wed Dec 01 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1760481
- New version 21.11.90

* Sat Sep 11 2021 wally <wally> 21.04.1-2.mga9
+ Revision: 1745127
- build without old and upstream dead qt-gstreamer

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724013
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718300
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698497
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694035
- New version 20.12.2

* Sun Dec 13 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1656184
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643944
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633755
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627002
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614867
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604066
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596798
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584965
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568081
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559270
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540117
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513240
- New version 19.12.2
+ wally <wally>
- build with new cmake macros
+ daviddavid <daviddavid>
- compile with -Wno-dev

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466888
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457844
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446350
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424937
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390392
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1388558
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382020
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375490
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365511
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356447
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339460
- New version 18.12.0

* Sun Nov 25 2018 daviddavid <daviddavid> 18.08.3-2.mga7
+ Revision: 1334184
- add some missing runtime dependencies (kirigami, qtgraphicaleffects and qtquickcontrols)

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332691
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327345
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298427
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1242601
- New version 18.04.1

* Sat Jan 20 2018 daviddavid <daviddavid> 3.2.4-1.mga7
+ Revision: 1195216
- new version: 3.2.4

* Sat Feb 18 2017 daviddavid <daviddavid> 3.2.2-1.mga6
+ Revision: 1086711
- new version: 3.2.2

* Sun Jul 24 2016 daviddavid <daviddavid> 3.2-2.mga6
+ Revision: 1043497
- add missing Requires on purpose to fix launching kamoso (mga#18185)

* Mon Jun 06 2016 daviddavid <daviddavid> 3.2-1.mga6
+ Revision: 1020347
- new version: 3.2
- update files list

* Tue May 10 2016 akien <akien> 3.1.0-1.mga6
+ Revision: 1012296
- Version 3.1.0

* Mon Feb 15 2016 umeabot <umeabot> 3.0~rc1-3.mga6
+ Revision: 960804
- Mageia 6 Mass Rebuild
+ doktor5000 <doktor5000>
- added Requires on gstreamer1.0-plugins-good for video4linux2: v4l2src plugin

* Mon Sep 07 2015 fwang <fwang> 3.0~rc1-1.mga6
+ Revision: 873831
- br udev
- update file list
- br purpose
- br kf5
- fix ver
- 3.0rc1
- 3.0 rc1

* Fri Feb 06 2015 lmenut <lmenut> 2.0.2-10.mga5
+ Revision: 813784
- use git snapshot for GStreamer 1.0
- add Kamoso handbook

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-9.mga5
+ Revision: 748583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-8.mga5
+ Revision: 680922
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 2.0.2-7.mga4
+ Revision: 530091
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 fwang <fwang> 2.0.2-6.mga4
+ Revision: 455564
- rebuild for new libkipi

* Wed Jul 10 2013 fwang <fwang> 2.0.2-5.mga4
+ Revision: 452328
- rebuild for new boost

* Sat Jan 12 2013 umeabot <umeabot> 2.0.2-4.mga3
+ Revision: 355793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 lmenut <lmenut> 2.0.2-3.mga3
+ Revision: 324343
- add patch to fix build against libkipi 2.0.0 (from bko #307147)
+ fwang <fwang>
- rebuild for new kipi

* Wed Jul 18 2012 lmenut <lmenut> 2.0.2-2.mga3
+ Revision: 272106
- add upstream patch to fix build
- rename kipi-plugins-youtube icons to avoid conflicts with plasma-runner-youtube
+ mikala <mikala>
- Add kipi-plugins as require on kipi-plugins-youtube
- use pkgconfig() for BR
+ fwang <fwang>
- new version 2.0.2

* Wed Jun 29 2011 fwang <fwang> 2.0-0.beta1.2.mga2
+ Revision: 116036
- rebuild for kde 4.7

* Fri Mar 04 2011 mikala <mikala> 2.0-0.beta1.1.mga1
+ Revision: 63795
- Remove BuildRoot
- Split out youtube kipiplugin
- Add a suggests for kipi-plugins-facebook
- imported package kamoso


* Thu Feb 24 2011 Funda Wang <fwang@mandriva.org> 2.0-0.beta1.1mdv2011.0
+ Revision: 639541
- new version 2.0 beta1

* Sat Feb 05 2011 Funda Wang <fwang@mandriva.org> 2.0-0.alpha2.1
+ Revision: 636288
- 2.0 alpha2

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.0 packages

* Thu Sep 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-1mdv2010.0
+ Revision: 443933
- Fix version

* Wed Sep 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.0.0-1mdv2010.0
+ Revision: 443530
- Fix BuildRequires
- Fix BuildRequires
- Fix BuildRequires
- Fix Build against our phonon
- import kamoso

